const listOfUsers = [];

function getData() {

    fetch('./php/get.php')
        .then(response => {
               return response.json();
        })
        .then(data => {
            // Dodaj pobrane dane do tablicy

            listOfUsers.push(...data);
            
            // Wyświetl dane w konsoli
            console.log("Lista użytkowników:", listOfUsers);

            // Wyświetl imiona na stronie
            const resultDiv = document.getElementById('ordersTable');


            let html = '<h3>Znalezieni użytkownicy:</h3><ul>';

            data.forEach(user => {
                html += `<li>Id: ${user.id}, nazwa: ${user.nazwa}, cena: ${user.cena}</li>`;
            });

            html += '</ul>';
            resultDiv.innerHTML = html;

        })
        .catch(error => {
            console.error("Wystąpił błąd podczas pobierania danych:", error);
            const resultDiv = document.getElementById('result');
            resultDiv.innerHTML = '<p>Błąd podczas pobierania danych. Sprawdź konsolę.</p>';
        });
}
